package com.jprofiler.api.agent;

import com.jprofiler.agent.util.HttpUtilImpl;

/**
 * Class with helper methods for http splitting scripts
 */
public class HttpUtil {
    /**
     * Returns the specified part of the request URI
     * @param requestURI the request URI from <tt>javax.servlet.http.HttpServletRequest.getRequestURI()</tt>
     * @param fromSegment the first segment to be included, the index is one-based
     * @param toSegment the last segment to be included, the index is one-based
     * @param replaceNumericIds if <tt>true</tt> segments that only contain numbers are replaced with <tt>&lt;id&gt;</tt>
     * @return the specified part of the request URI
     */
    public static String getPathSegments(String requestURI, int fromSegment, int toSegment, boolean replaceNumericIds) {
        if (requestURI == null || requestURI.length() == 0) {
            return requestURI;
        } else {
            StringBuilder builder = new StringBuilder();
            HttpUtilImpl.addSegments(builder, requestURI, fromSegment, toSegment, replaceNumericIds, HttpUtilImpl.ID_PLACEHOLDER);
            return builder.toString();
        }
    }
}
